local vector2 = require("#microsoft.xna.framework.vector2")
local exCameraHelper = require("#Celeste.Mod.ExCameraDynamics.Code.Module.ExCameraInterop")

function onBegin()
    
    disableMovement()
    makeUnskippable ()

    local level = getLevel()
    coroutine.yield(exCameraHelper.Level_ZoomToFocus(level, vector2(656, 684), 2, 0.01))
    --coroutine.yield(level:ZoomSnap(vector2(160, 90), 2))

    wait(0.5)
    
    walkTo (676, walkBackwards==false, speedMultiplier==1.0, keepWalkingIntoWalls==false)
    wait(0.3)
    player.Facing = getEnum("Celeste.Facings", "Left")
    wait(0.3)
    player.DummyAutoAnimate = false
    player.Sprite:Play("sitDown")
    wait(4)
    say("WHE_NaCline_C_02")
    wait(0.5)
    player.DummyAutoAnimate = true
    
    enableMovement()
    endCutscene ()

end

